

%% Example: lateral motion of an aircraft

A = ...
    [-0.3, 0, -33, 9.81, 0, -5.4, 0;
     -0.1, -8.3, 3.75, 0, 0, 0, -28.6;
      0.37, 0, -0.64, 0, 0, -9.5, 0;
      0, 1, 0, 0, 0, 0, 0;
      0, 0, 1, 0, 0, 0, 0;
      0, 0, 0, 0, 0, -10, 0;
      0, 0, 0, 0, 0, 0, -5
    ];
C = [0,1,0,0,0,0,0; 0,0,0,0,1,0,0];
B = [0,0,0,0,0,20,0;
     0,0,0,0,0,0,10]';
D = [0,0,0,0,0,0,10]';

mu = [2,5];

%% Transformation into the proposed observability canonical form
[Abar, Bbar, Cbar, Dbar, T] = transf2nf(A,B,C,D,mu);

epsilon = 1e-10;
Abar = Abar.*(abs(Abar)>epsilon)
Cbar = Cbar.*(abs(Cbar)>epsilon)
Dbar = Dbar.*(abs(Dbar)>epsilon)
Bbar = Bbar.*(abs(Bbar)>epsilon)
T = T.*(abs(T)>epsilon)